Create Player Credential
curl --request POST \
--url https://softmax.com/api/observatory/players/{player_id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [
"write"
]
}
'import requests
url = "https://softmax.com/api/observatory/players/{player_id}/credentials"
payload = {
"name": "<string>",
"scopes": ["write"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', scopes: ['write']})
};
fetch('https://softmax.com/api/observatory/players/{player_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"player_id": "<string>",
"name": "<string>",
"token_preview": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
],
"token": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Players
Create Player Credential
POST
/
players
/
{player_id}
/
credentials
Create Player Credential
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$⌘I

